[Buildroot] [PATCH] openocd: openjtag needs libusb-compat

Samuel Martin s.martin49 at gmail.com
Tue Mar 24 21:29:06 UTC 2015


Hi Baruch, all,

On Tue, Mar 24, 2015 at 6:49 PM, Baruch Siach <baruch at tkos.co.il> wrote:
> Since commit 9bdf5926 (package/openocd: depends on libftdi1 instead of
> libftdi) the OpenJTAG Programmer can be built without libusb-compat, that is a
> dependency of libftdi (but not libftdi1). This breaks the build, because
> openjtag.c uses libusb-compat headers. Select BR2_PACKAGE_LIBUSB_COMPAT to fix
> this.
>
> Fixes:
> http://autobuild.buildroot.net/results/d19/d1969e6df56835568fb908b7f252aec0915d9fa4/
> http://autobuild.buildroot.net/results/f06/f06ed6df6138ab399036c397c3f72d33d64fe0a3/
> http://autobuild.buildroot.net/results/bd7/bd7f90f3cc1d2b395f9849eb0630c2602a075bf5/
> ...
>
> Cc: Samuel Martin <s.martin49 at gmail.com>
> Signed-off-by: Baruch Siach <baruch at tkos.co.il>
Reviewed-by: Samuel Martin <s.martin49 at gmail.com>

Regards,

-- 
Samuel


More information about the buildroot mailing list